<?php

$contentData = [
    "items" => []
];
if($patient->canvas_data) {
    $canvasData = json_decode($patient->canvas_data, true);
    if(isset($canvasData["dx"])) {
        $contentData = $canvasData["dx"];
    }
}

if(count($contentData['items'])) {
    for ($i = 0; $i < count($contentData['items']); $i++) {
        $item = $contentData['items'][$i];
?>
        <div class="mb-2">
            <div class="">
                <b><?= $item["title"] ?></b>
                <?= !!$item["icd"] ? '/&nbsp;' . $item["icd"] : '' ?>
                <?= !!$item["coa"] ? '/&nbsp;' . $item["coa"] : '' ?>
            </div>
            <?php if(!!$item["detail"]): ?>
                <div class="text-secondary font-weight-bold">Detail</div>
                <div class="ml-2"><?= $item["detail"] ?></div>
            <?php endif; ?>
            <?php if(!!$item["plan"]): ?>
                <div class="text-secondary font-weight-bold">Plan</div>
                <div class="ml-2"><?= $item["plan"] ?></div>
            <?php endif; ?>
        </div>
<?php
    }
}
else {
    ?>
    <div class="text-secondary">Nothing here yet!</div>
    <?php
}
?>
